org.apache.cassandra.cql3

## Class Maps

- java.lang.Object
- - org.apache.cassandra.cql3.Maps

-     public abstract class Maps
      extends java.lang.Object

  Static helper methods and classes for maps.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Maps.DelayedValue`
    `static class` | `Maps.DiscarderByKey`
    `static class` | `Maps.Literal`
    `static class` | `Maps.Marker`
    `static class` | `Maps.Putter`
    `static class` | `Maps.Setter`
    `static class` | `Maps.SetterByKey`
    `static class` | `Maps.Value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnSpecification` | `keySpecOf(ColumnSpecification column)`
    `static ColumnSpecification` | `valueSpecOf(ColumnSpecification column)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### keySpecOf

          public static ColumnSpecification keySpecOf(ColumnSpecification column)

    - #### valueSpecOf

          public static ColumnSpecification valueSpecOf(ColumnSpecification column)

Copyright © 2018 The Apache Software Foundation